Subject: Re: [crash] BUG: unable to handle kernel NULL pointer dereference at 0000000000000370

From: Patrick McHardy <[email-masked]>
Date: Mon, 21 Jul 2008 22:51:53 +0200

David Miller wrote:
> From: Larry Finger <[email-masked]>
> Date: Mon, 21 Jul 2008 15:38:47 -0500
> 
>> David Miller wrote:
>>> No further backtrace?  That will tell us what driver is causing
>>> this.
>> Yes, I have a full backtrace.
>>
>> It starts with possible recursive locking in NetworkManager, and goes directly 
>> into the Warning - this came from a later pull of Linus's tree.
> 
> That helps a lot, I'm looking at this now.

I'm guessing this needs similar lockdep class initializations
to _xmit_lock since it essentially has the same nesting rules.